Bug 1004012 - [abrt] php-cli-5.4.17-2.fc18: Process /usr/bin/php was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] php-cli-5.4.17-2.fc18: Process /usr/bin/php was killed by signal 11 (S...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
abrt_hash:0848faaf47ff3bb31f95d1e65f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 13:25 EDT by Hugo
Modified: 2014-02-05 17:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rcollet: needinfo? (hedelao)


Attachments (Terms of Use)
File: backtrace (15.46 KB, text/plain)
2013-09-03 13:25 EDT, Hugo
no flags Details
File: cgroup (129 bytes, text/plain)
2013-09-03 13:25 EDT, Hugo
no flags Details
File: core_backtrace (2.99 KB, text/plain)
2013-09-03 13:25 EDT, Hugo
no flags Details
File: dso_list (10.12 KB, text/plain)
2013-09-03 13:25 EDT, Hugo
no flags Details
File: environ (130 bytes, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: exploitable (83 bytes, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: maps (30.36 KB, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: open_fds (100 bytes, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: proc_pid_status (753 bytes, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details
File: var_log_messages (621 bytes, text/plain)
2013-09-03 13:26 EDT, Hugo
no flags Details

  None (edit)
Description Hugo 2013-09-03 13:25:35 EDT
Version-Release number of selected component:
php-cli-5.4.17-2.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        php -f cron.php
executable:     /usr/bin/php
kernel:         3.10.9-100.fc18.i686
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 zif_imap_expunge at /usr/src/debug/php-5.4.17/ext/imap/php_imap.c:1557
 #2 zend_do_fcall_common_helper_SPEC at /usr/src/debug/php-5.4.17/Zend/zend_vm_execute.h:643
 #3 execute at /usr/src/debug/php-5.4.17/Zend/zend_vm_execute.h:410
 #4 zend_call_function at /usr/src/debug/php-5.4.17/Zend/zend_execute_API.c:956
 #5 zif_call_user_func_array at /usr/src/debug/php-5.4.17/ext/standard/basic_functions.c:4750
 #6 zend_do_fcall_common_helper_SPEC at /usr/src/debug/php-5.4.17/Zend/zend_vm_execute.h:643
 #7 execute at /usr/src/debug/php-5.4.17/Zend/zend_vm_execute.h:410
 #8 zend_execute_scripts at /usr/src/debug/php-5.4.17/Zend/zend.c:1315
 #9 php_execute_script at /usr/src/debug/php-5.4.17/main/main.c:2494
Comment 1 Hugo 2013-09-03 13:25:42 EDT
Created attachment 793305 [details]
File: backtrace
Comment 2 Hugo 2013-09-03 13:25:49 EDT
Created attachment 793306 [details]
File: cgroup
Comment 3 Hugo 2013-09-03 13:25:54 EDT
Created attachment 793307 [details]
File: core_backtrace
Comment 4 Hugo 2013-09-03 13:25:58 EDT
Created attachment 793308 [details]
File: dso_list
Comment 5 Hugo 2013-09-03 13:26:02 EDT
Created attachment 793309 [details]
File: environ
Comment 6 Hugo 2013-09-03 13:26:07 EDT
Created attachment 793310 [details]
File: exploitable
Comment 7 Hugo 2013-09-03 13:26:12 EDT
Created attachment 793311 [details]
File: limits
Comment 8 Hugo 2013-09-03 13:26:18 EDT
Created attachment 793312 [details]
File: maps
Comment 9 Hugo 2013-09-03 13:26:21 EDT
Created attachment 793313 [details]
File: open_fds
Comment 10 Hugo 2013-09-03 13:26:25 EDT
Created attachment 793314 [details]
File: proc_pid_status
Comment 11 Hugo 2013-09-03 13:26:28 EDT
Created attachment 793315 [details]
File: var_log_messages
Comment 12 Remi Collet 2013-09-04 03:12:05 EDT
Can you plea check if segfault still occurs with latest version (5.4.19 from updates-testing).

Do you have a "simple" reproducer script ?
Comment 13 Fedora End Of Life 2013-12-21 09:32:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:21:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.